Loading...
Searching...
No Matches
ctrl_cmd_element Struct Reference

Implementation of a given CTRL command. More...

`#include <control_cmd.h>`

## Data Fields

const char * | name
| textual name/id of the CTRL command
struct ctrl_cmd_struct | strcmd
int(* | set )(struct ctrl_cmd *cmd, void *data)
| call-back function implementing the SET operation
int(* | get )(struct ctrl_cmd *cmd, void *data)
| call-back function implementing the GET operation
int(* | verify )(struct ctrl_cmd *cmd, const char *value, void *data)
| call-back function to validate a value; called before SET

## Detailed Description

Implementation of a given CTRL command.

This is what a program registers using \r ctrl_cmd_install in order to implement a given control variable.

## Field Documentation

## get

int(* ctrl_cmd_element::get) (struct ctrl_cmd *cmd, void *data)

call-back function implementing the GET operation

Referenced by ctrl_cmd_exec().

## name

const char* ctrl_cmd_element::name

textual name/id of the CTRL command

Referenced by ctrl_cmd_install().

## set

int(* ctrl_cmd_element::set) (struct ctrl_cmd *cmd, void *data)

call-back function implementing the SET operation

Referenced by ctrl_cmd_exec().

## strcmd

struct ctrl_cmd_struct ctrl_cmd_element::strcmd

Referenced by ctrl_cmd_get_element_match(), and ctrl_cmd_install().

## verify

int(* ctrl_cmd_element::verify) (struct ctrl_cmd *cmd, const char *value, void *data)

call-back function to validate a value; called before SET

Referenced by ctrl_cmd_exec().

The documentation for this struct was generated from the following file:

- include/osmocom/ctrl/control_cmd.h